/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
/* $Id: callbacks.h,v 1.6 2002/10/07 11:55:12 dolphy Exp $ */

#ifndef CALLBACKS_H
#define CALLBACKS_H

/* Callbacks */

gboolean getcontrol_quit_callback (GtkWidget * widget, gpointer data);

gboolean getcontrol_about_callback (GtkWidget * widget, gpointer data);

/* Expose callback for the drawing area */

gboolean expose_callback (GtkWidget * widget, GdkEventExpose * event, gpointer data);

/* Callback for key_press_event management */

gboolean key_pressed_callback (GtkWidget * widget, GdkEventKey * event, gpointer data);

/* Callback for resizing and first drawing */

gboolean configure_callback (GtkWidget * widget, GdkEventConfigure *event);

gboolean remove_all_timers (void);

/* Callback for reloading conf on Gconf signal */

void gconf_notify_global (GConfClient *client,
		   guint        cnxn_id,
		   GConfEntry  *entry,
		   gpointer     user_data);
		   
void gconf_notify_imgs (GConfClient *client,
		   guint        cnxn_id,
		   GConfEntry  *entry,
		   gpointer     user_data);
		   
#endif

