/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
 /* $Id: menu.h,v 1.9 2002/10/07 11:55:12 dolphy Exp $ */
 
#ifndef MENU_H
#define MENU_H

/* Delay between frames when animating */

extern guint animation_frame_delay;

/* Delay before saving screen */

extern guint screensaver_delay;

/* Delay before selecting menu */ 

extern guint selection_delay;

/* Our activities */

extern gchar * activities_names[];

extern gint nb_activities;

/* Rotation directions */

#define LEFT 0
#define RIGHT 1

extern gboolean direction;

/* Background image and its dimensions */

extern GdkPixbuf * background, * background_orig;

/* Background file name */

extern gchar * background_path;

extern gint back_width, back_height, xmid, ymid, radius, draw_width, draw_height;

/* Angle in degree between each image */

extern gint ang_step;

/* Number of degrees remaining to rotate */

extern gint left_to_move, total_move;

/* Defining our statuses */

#define IDLE			0
#define ROTATING		1
#define SELECTING		2
#define SELECTED		3
#define DESELECTING		4
#define SCREEN_SAVING	5
#define ACTIVATING		6


extern gint current_status;

/* Global timer id */

extern guint select_timeout_id, screen_saver_timeout_id;

/* Animation timers */

extern guint ss_draw_timeout_id, draw_timeout_id;

/* Loads the images and returns whether the operation succeeded */

gboolean load_pixbufs (void);

/* Draw main menu */

gint draw_menu (void);

/* Taking care of rotating the main menu */

gint menu_rotation_manager (gpointer data);

/* Taking care of animating menu selection */

gint menu_selection_manager (gpointer data);

/* Taking care of animating menu deselection */

gint menu_deselection_manager (gpointer data);

/* Taking care of screen saving */

gint screen_saver_manager (gpointer data);

#endif
